Go Back   HowtoForge Forums | HowtoForge - Linux Howtos and Tutorials > ISPConfig 2 > Installation/Configuration

Do you like HowtoForge? Please consider supporting us by becoming a subscriber.
Reply
 
Thread Tools Display Modes
  #11  
Old 21st December 2006, 18:09
falko falko is offline
Super Moderator
 
Join Date: Apr 2005
Location: Lüneburg, Germany
Posts: 41,701
Thanks: 1,900
Thanked 2,722 Times in 2,563 Posts
Default

Quote:
Originally Posted by edge
Is this all I need to do, or do I need to set something in a config file to use the new rules?
I think this is sufficient, although I haven't tested it yet.
__________________
Falko
--
Download the ISPConfig 3 Manual! | Check out the ISPConfig 3 Billing Module!

FB: http://www.facebook.com/howtoforge

nginx-Webhosting: Timme Hosting | Follow me on:
Reply With Quote
Sponsored Links
  #12  
Old 23rd December 2006, 00:41
sushestvo sushestvo is offline
Member
 
Join Date: Oct 2005
Posts: 72
Thanks: 0
Thanked 0 Times in 0 Posts
Default

what if i get this:
Code:
# apt-get install libarchive-tar-perl 
Reading Package Lists... Done
Building Dependency Tree... Done
E: Couldn't find package libarchive-tar-perl
How can I take care of this problem on my machine? (I run FC4)
Reply With Quote
  #13  
Old 23rd December 2006, 00:54
edge edge is offline
Moderator
 
Join Date: Dec 2005
Location: The Netherlands
Posts: 2,033
Thanks: 261
Thanked 147 Times in 128 Posts
Default

Quote:
Originally Posted by sushestvo
what if i get this:
Code:
# apt-get install libarchive-tar-perl 
Reading Package Lists... Done
Building Dependency Tree... Done
E: Couldn't find package libarchive-tar-perl
How can I take care of this problem on my machine? (I run FC4)
Maybe it's called different for FC4?
Try "apt-cache search libarchive-tar", or "apt-cache search libarchive" and you should see all the available "libarchive" packages.
Reply With Quote
  #14  
Old 26th December 2006, 16:23
sushestvo sushestvo is offline
Member
 
Join Date: Oct 2005
Posts: 72
Thanks: 0
Thanked 0 Times in 0 Posts
Default

Quote:
Originally Posted by edge
Maybe it's called different for FC4?
Try "apt-cache search libarchive-tar", or "apt-cache search libarchive" and you should see all the available "libarchive" packages.
Didn't give me any results
Any other ideas?
Reply With Quote
  #15  
Old 26th December 2006, 16:28
till till is offline
Super Moderator
 
Join Date: Apr 2005
Location: Lüneburg, Germany
Posts: 35,446
Thanks: 813
Thanked 5,216 Times in 4,089 Posts
Default

The you may can use the perl console to install it:

Installation using the Perl Shell

Login to your command line as root and run the following command to start the Perl shell:

perl -MCPAN -e shell

If you run the Perl shell for the first time you will be asked some questions. In most cases the default answers are ok.

Please note: If you run a firewall on your system you might have to turn it off while working on the Perl shell in order for the Perl shell to be able to fetch the needed modules without a big delay. You can switch it on afterwards.

The big advantage of the Perl shell compared to the two other methods described here is that it cares about dependencies when installing new modules. I.e., if it turns out that a prerequisite Perl module is missing when you install another module the Perl shell asks you if it should install the prerequisite module for you. You should answer that question with "Yes".

Run the following commands to install the modules needed by SpamAssassin:

install ARCHIVE::TAR

q (to leave the Perl shell)
__________________
Till Brehm
--
Get ISPConfig support and the ISPConfig 3 manual from ispconfig.org.
Reply With Quote
  #16  
Old 2nd January 2007, 23:05
bwrob bwrob is offline
Member
 
Join Date: Jan 2006
Posts: 46
Thanks: 0
Thanked 0 Times in 0 Posts
Default

Quote:
Originally Posted by till

I recommend to install razor, pyzor ind dcc in a first step and enable it in the spamassassin configuration under /home/admispconfig/ispconfig/tools/spamassassin/

sa-update is not run by ISPconfig, but you will find it in the above path too.
How do you enable pyzer in sa-update file, where.
Add a line or something.

Thanks
bob
Reply With Quote
  #17  
Old 3rd January 2007, 09:24
till till is offline
Super Moderator
 
Join Date: Apr 2005
Location: Lüneburg, Germany
Posts: 35,446
Thanks: 813
Thanked 5,216 Times in 4,089 Posts
Default

pyzor is not upadted by sa-update, so you dont have to add it there. Just install the pyzor package from your linux distribution.
__________________
Till Brehm
--
Get ISPConfig support and the ISPConfig 3 manual from ispconfig.org.
Reply With Quote
  #18  
Old 1st August 2007, 23:44
dayjahone dayjahone is offline
Senior Member
 
Join Date: Jan 2007
Posts: 417
Thanks: 31
Thanked 0 Times in 0 Posts
Default

I am trying to update spamAssassin, but am apparently missing perl modules. Everything I could find on this forum says to do this:

Quote:
apt-get install libarchive-tar-perl
Unfortunately, it can't find the package. so, next try this:

Quote:
cpan> install ARCHIVE::TAR
This is what I got:

Quote:
CPAN: Storable loaded ok
Going to read /root/.cpan/Metadata
Database was generated on Wed, 01 Aug 2007 10:50:03 GMT
Warning: Cannot install ARCHIVE::TAR, don't know what it is.
Try the command

i /ARCHIVE::TAR/

to find objects with matching identifiers.
So, I tried it:

Quote:
cpan> i /ARCHIVE::TAR/
Module Archive::Tar (K/KA/KANE/Archive-Tar-1.32.tar.gz)
Module Archive::Tar::Constant (K/KA/KANE/Archive-Tar-1.32.tar.gz)
Module Archive::Tar::File (K/KA/KANE/Archive-Tar-1.32.tar.gz)
Module Archive::Tar::Std (K/KA/KANE/Archive-Tar-0.23.tgz)
Module Archive::Tar::Stream (Contact Author Kimmo R. M. Hovi <kimmormh@cpan.org>)
Module Archive::Tar::Streamed (I/IV/IVORW/Archive-Tar-Streamed-0.03.tar.gz)
Module Archive::Tar::Win32 (K/KA/KANE/Archive-Tar-0.23.tgz)
Module Archive::Tar::Wrapper (M/MS/MSCHILLI/Archive-Tar-Wrapper-0.10.tar.gz)
Module Archive::TarGzip (S/SO/SOFTDIA/Archive-TarGzip-0.03.tar.gz)
Module Meta::Archive::Tar (V/VE/VELTZER/Meta-0.08.tar.gz)
10 items found

cpan>
Does anyone have any other ideas? I'm running SuSe 9.2. I'm doing this remotely, so I'm not sure how to find it with yast.
Reply With Quote
  #19  
Old 2nd August 2007, 09:34
till till is offline
Super Moderator
 
Join Date: Apr 2005
Location: Lüneburg, Germany
Posts: 35,446
Thanks: 813
Thanked 5,216 Times in 4,089 Posts
Default

The packages for SuSE 9.2 might be outdated, so that the latest spamassassin versions will not work correctly. Please install the latest perl modules as described in the installation manual:

http://www.ispconfig.org/manual_installation.htm
__________________
Till Brehm
--
Get ISPConfig support and the ISPConfig 3 manual from ispconfig.org.
Reply With Quote
  #20  
Old 2nd August 2007, 15:37
dayjahone dayjahone is offline
Senior Member
 
Join Date: Jan 2007
Posts: 417
Thanks: 31
Thanked 0 Times in 0 Posts
 
Default

I did the following again:
Quote:
perl -MCPAN -e shell
install HTML::Parser
install DB_File
install Net:NS (when prompted to enable tests, choose "no")
install Digest::SHA1
then tried install ARCHIVE::TAR and got the following:
Quote:
cpan> install ARCHIVE::TAR
CPAN: Storable loaded ok
Going to read /root/.cpan/Metadata
Database was generated on Wed, 01 Aug 2007 10:50:03 GMT
Warning: Cannot install ARCHIVE::TAR, don't know what it is.
Try the command

i /ARCHIVE::TAR/

to find objects with matching identifiers.
install Archive::TAR worked, but when I tried to update spamAssassin after that, I get the following:
Quote:
mail:/home/admispconfig/ispconfig/tools/spamassassin/usr/bin # ./sa-updateCan't locate Archive/Tar.pm in @INC (@INC contains: /home/admispconfig/ispconfig/tools/spamassassin/usr/lib/perl5/site_perl/5.8.5/i586-linux-thread-multi /home/admispconfig/ispconfig/tools/spamassassin/usr/lib/perl5/site_perl/5.8.5 /usr/lib/perl5/5.8.5/i586-linux-thread-multi /usr/lib/perl5/5.8.5 /usr/lib/perl5/site_perl/5.8.5/i586-linux-thread-multi /usr/lib/perl5/site_perl/5.8.5 /usr/lib/perl5/site_perl /usr/lib/perl5/vendor_perl/5.8.5/i586-linux-thread-multi /usr/lib/perl5/vendor_perl/5.8.5 /usr/lib/perl5/vendor_perl) at ./sa-update line 94.
BEGIN failed--compilation aborted at ./sa-update line 94.
Reply With Quote
Reply

Bookmarks

Thread Tools
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump

Similar Threads
Thread Thread Starter Forum Replies Last Post
ISPConfig stop working after i add a new site xTiNcTion Installation/Configuration 4 5th January 2007 23:55
Virtual Users And Domains With Postfix, Courier And MySQL wmrwl HOWTO-Related Questions 73 6th October 2006 23:06
Update your webmin if you use it! edge Server Operation 0 24th September 2006 14:33
webmin and Debian flo Installation/Configuration 2 4th August 2006 15:36
Have to manually add virtual server without WWW? lipp9000 Installation/Configuration 8 21st July 2006 15:54


All times are GMT +2. The time now is 05:16.


Powered by vBulletin® Version 3.8.7
Copyright ©2000 - 2014, vBulletin Solutions, Inc.